curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/internals/externaldocuments \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/internals/externaldocuments"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/internals/externaldocuments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"externalDocumentTransactionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalDocumentDate": "2023-11-07T05:31:56Z",
"currencyFactor": 123,
"serviceDate": "2023-11-07T05:31:56Z",
"payDate": "2023-11-07T05:31:56Z",
"taxSetting": 123,
"externalDocumentType": 123,
"orderDate": "2023-11-07T05:31:56Z",
"paymentDueDateInDays": 123,
"externalDocumentTotalGrossValue": 123,
"externalDocumentTotalNetValue": 123,
"shipmentCountryCount": 123,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"externalInvoiceDocumentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesInvoiceNumber": "<string>",
"externalDocumentNumber": "<string>",
"externalDocumentOrderNumber": "<string>",
"currency": "<string>",
"departureCountryCurrencyIso": "<string>",
"departureCountryCurrenyFactor": 123,
"platformIdentifier": "<string>",
"accountsReceivableNumber": 123,
"companyVatIdNumber": "<string>",
"customerVatIdNumber": "<string>",
"departureCountryIso": "<string>",
"paymentMethodName": "<string>",
"shipmentAddressCompany": "<string>",
"shipmentAddressLastName": "<string>",
"shipmentAddressStreet": "<string>",
"shipmentAddressPostalCode": "<string>",
"shipmentAddressCity": "<string>",
"shipmentAddressPhoneNumber": "<string>",
"shipmentAddressAdditionalAddressLine": "<string>",
"shipmentAddressCountryIso": "<string>",
"shipmentAddressVatIdNumber": "<string>",
"customerDefaultBillingAddressCompany": "<string>",
"customerDefaultBillingAddressSalutation": "<string>",
"customerDefaultBillingAddressTitle": "<string>",
"customerDefaultBillingAddressFirstName": "<string>",
"customerDefaultBillingAddressLastName": "<string>",
"customerDefaultBillingAddressStreet": "<string>",
"customerDefaultBillingAddressPostalCode": "<string>",
"customerDefaultBillingAddressCity": "<string>",
"customerDefaultBillingAddressCountry": "<string>",
"customerDefaultBillingAddressPhoneNumber": "<string>",
"customerDefaultBillingAddressFaxNumber": "<string>",
"customerDefaultBillingAddressForTheAttentionOf": "<string>",
"customerDefaultBillingAddressCountryIso": "<string>",
"customerDefaultBillingAddressEmailAddress": "<string>",
"customerDefaultBillingAddressVatIdNumber": "<string>",
"salesOrderCustomerNumber": "<string>",
"customerGroupName": "<string>",
"customerNumber": "<string>",
"billingAddressCompany": "<string>",
"billingAddressLastName": "<string>",
"billingAddressStreet": "<string>",
"billingAddressPostalCode": "<string>",
"billingAddressCity": "<string>",
"billingAddressPhoneNumber": "<string>",
"billingAddressAdditionalAddressLine": "<string>",
"billingAddressCountryIso": "<string>",
"billingAddressVatIdNumber": "<string>",
"shipmentDate": "2023-11-07T05:31:56Z",
"orderPaymentMethodName": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Delivers a queryable overview list of all external documents
Delivers a queryable overview list of all external documents
Paged query. Query parameters: pageNumber (default 1), pageSize (default 100). Sorting via sortBy (comma-separated fields, applied as OrderBy then ThenBy) and sortDescending (default false). Date filtering per date field via After (greater than) and Before (less than).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Start Date
End Date
Company Represents a key for identifying a firm within the application.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose ExternalDocumentDate is after (greater than) this value.
Only include items whose ExternalDocumentDate is before (less than) this value.
Only include items whose ServiceDate is after (greater than) this value.
Only include items whose ServiceDate is before (less than) this value.
Only include items whose PayDate is after (greater than) this value.
Only include items whose PayDate is before (less than) this value.
Only include items whose OrderDate is after (greater than) this value.
Only include items whose OrderDate is before (less than) this value.
Only include items whose ShipmentDate is after (greater than) this value.
Only include items whose ShipmentDate is before (less than) this value.
Was this page helpful?